<package name="org.scilab.modules.renderer.figureDrawing">
  <object name="DrawableFigureGL">
    <method name="display" returnType="void">
    </method>
    <method name="initializeDrawing" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="endDrawing" returnType="void">
    </method>
    <method name="show" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="destroy" returnType="void">
      <param type="int" name="parentFigureIndex" />
    </method>
    <method name="setFigureIndex" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="drawCanvas" returnType="void">
    </method>
    <method name="drawBackground" returnType="void">
    </method>
    <method name="setBackgroundColor" returnType="void">
      <param type="int" name="colorIndex" />
    </method>
    <method name="setLogicalOp" returnType="void">
      <param type="int" name="logicOpIndex" />
    </method>
    <method name="setColorMapData" returnType="void">
      <param type="double[]" name="rgbmat" />
    </method>
    <method name="getColorMapData" returnType="double[]">
    </method>
    <method name="getColorMapSize" returnType="int">
    </method>
    <method name="getCanvasWidth" returnType="int">
    </method>
    <method name="getCanvasHeight" returnType="int">
    </method>
    <method name="setCanvasSize" returnType="int">
      <param type="int" name="width" />
      <param type="int" name="height" />
    </method>
    <method name="getWindowPosX" returnType="int">
    </method>
    <method name="getWindowPosY" returnType="int">
    </method>
    <method name="setWindowPosition" returnType="void">
      <param type="int" name="posX" />
      <param type="int" name="posY" />
    </method>
    <method name="getWindowWidth" returnType="int">
    </method>
    <method name="getWindowHeight" returnType="int">
    </method>
    <method name="setWindowSize" returnType="void">
      <param type="int" name="width" />
      <param type="int" name="height" />
    </method>
    <method name="setInfoMessage" returnType="void">
      <param type="String" name="infoMessage" />
    </method>
    <method name="getInfoMessage" returnType="String">
    </method>
    <method name="setAutoResizeMode" returnType="void">
      <param type="boolean" name="onOrOff" />
    </method>
    <method name="getAutoResizeMode" returnType="boolean">
    </method>
    <method name="getViewport" returnType="int[]">
    </method>
    <method name="setViewport" returnType="void">
      <param type="int" name="posX" />
      <param type="int" name="posY" />
      <param type="int" name="width" />
      <param type="int" name="height" />
    </method>
    <method name="rubberBox" returnType="int[]">
      <param type="boolean" name="isClick" />
      <param type="int[]" name="initialRect" />
    </method>
    <method name="interactiveZoom" returnType="void">
      <param type="long" name="objectHandle" />
    </method>
    <method name="setTitle" returnType="void">
      <param type="String" name="title" />
    </method>
    <method name="interactiveRotation" returnType="void">
    </method>
    <method name="showWindow" returnType="void">
    </method>
    <method name="setNbSubwins" returnType="void">
      <param type="int" name="nbSubwins" />
    </method>
	<method name="openGraphicCanvas" returnType="void">
    </method>
	<method name="closeGraphicCanvas" returnType="void">
    </method>
	<method name="setUseSingleBuffer" returnType="void">
	  <param type="boolean" name="useSingleBuffer" />
    </method>
	<method name="getAntialiasingQuality" returnType="int">
    </method>
	<method name="setAntialiasingQuality" returnType="void">
	  <param type="int" name="quality" />
    </method>
  </object>
</package>
